﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls;

namespace ColumnGroups
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
			this.RadGridView1.ItemsSource = Person.GetSampleListOfPersons();
			this.RadGridView1.RowLoaded += new EventHandler<Telerik.Windows.Controls.GridView.RowLoadedEventArgs>(RadGridView1_RowLoaded);
		}

		void RadGridView1_RowLoaded(object sender, Telerik.Windows.Controls.GridView.RowLoadedEventArgs e)
		{
			if (e.Row is GridViewHeaderRow)
			{
				ColumnGroup colGroup = new ColumnGroup(this.RadGridView1.Columns[1], this.RadGridView1.Columns[2], "Column group 1");
				GridViewCell cell; 
				e.Row.ChildrenOfType<Grid>()[0].Height = 50;
				e.Row.ChildrenOfType<Grid>()[0].Children.Add(colGroup);
			}
			else
			{

			}
		}
	}

	public class Person
	{
		public Person(int age, string firstName, string lastName)
		{
			this.Age = age;
			this.FirstName = firstName;
			this.LastName = lastName;
		}

		public int Age { get; set; }
		public string FirstName { get; set; }
		public string LastName { get; set; }

		public static List<Person> GetSampleListOfPersons()
		{
			var persons = new List<Person>
			              	{
			              		new Person(30, "John", "Smith"),
			              		new Person(29, "Jane", "Smith"),
			              		new Person(30, "Peter", "Smith")
			              	};
			return persons;
		}
	}
}
